### Signal

# Gtk CssProvider::parsing-error

#### Declaration

    void
    parsing_error (
      GtkCssProvider* self,
      GtkCssSection* section,
      GError* error,
      gpointer user_data
    )

#### Description [src]

Signals that a parsing error occurred.

The `path`, `line` and `position` describe the actual location of the error as accurately as possible.

Parsing errors are never fatal, so the parsing will resume after the error. Errors may however cause parts of the given data or even all of it to not be parsed at all. So it is a useful idea to check that the parsing succeeds by connecting to this signal.

Note that this signal may be emitted at any time as the css provider may opt to defer parsing parts or all of the input to a later time than when a loading function was called.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`section`

  Type: `GtkCssSection`

  Section the error happened in.

  The data is owned by the caller of the function.

`error`

  Type: `GError`

  The parsing error.

  The data is owned by the caller of the function.